#include <stdio.h>
#include <stdarg.h>
#include <unistd.h>

#include "LogMsg.h"
    

/*--- Definition des macros instructions ---*/

/*--- Definition des structures privees ---*/

/*--- Definition des constantes privees ---*/

/*--- Definition des variables privees ---*/
static char buftmplog[10000];

/*--- Definition des variables globales ---*/

/*--- Definition des fonctions privees ---*/

/*--- Definition des fonctions publiques ---*/

void LogMsg(int log_level, char *fmt, ...)
{
    va_list argptr;

    if(log_level >= LOGLEVEL_DISPLAY)
    {
        va_start(argptr, fmt);
        vsprintf(buftmplog,fmt, argptr);
        va_end(argptr);

        fprintf(stderr,"%s",buftmplog);
#ifdef WIN32
		TRACE("%s",buftmplog);
#endif

    }

    return;
}
